Remove a rate period
curl --request DELETE \
--url https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Rate period removed.",
"data": {
"kind": "<string>",
"repayment_type": "<string>",
"fee_per_payment": 123,
"day_count": "<string>",
"current_rate": 123,
"rate_periods": "<string>",
"anchor_balance": 123,
"anchor_date": "<string>",
"balance_verified_at": "<string>",
"paying_financial_account_id": "<string>",
"schedule": {
"amount": 123,
"day_of_month": "<string>"
},
"last_regular_payment_amount": 123,
"expected_payment_day": "<string>",
"payment_change": {
"booking_date": "<string>",
"previous_amount": 123,
"amount": 123,
"detected_at": "<string>"
},
"next_payment_date": "<string>",
"months_remaining_estimate": 123,
"original_amount": 123,
"start_date": "<string>",
"term_months": "<string>",
"last_accrual_date": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Remove a rate period
Only the latest rate period can be removed, and only while no interest has accrued at it.
DELETE
/
finance
/
accounts
/
{accountId}
/
loan
/
rate-periods
/
{effectiveFrom}
Remove a rate period
curl --request DELETE \
--url https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/accounts/{accountId}/loan/rate-periods/{effectiveFrom}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Rate period removed.",
"data": {
"kind": "<string>",
"repayment_type": "<string>",
"fee_per_payment": 123,
"day_count": "<string>",
"current_rate": 123,
"rate_periods": "<string>",
"anchor_balance": 123,
"anchor_date": "<string>",
"balance_verified_at": "<string>",
"paying_financial_account_id": "<string>",
"schedule": {
"amount": 123,
"day_of_month": "<string>"
},
"last_regular_payment_amount": 123,
"expected_payment_day": "<string>",
"payment_change": {
"booking_date": "<string>",
"previous_amount": 123,
"amount": 123,
"detected_at": "<string>"
},
"next_payment_date": "<string>",
"months_remaining_estimate": 123,
"original_amount": 123,
"start_date": "<string>",
"term_months": "<string>",
"last_accrual_date": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2http
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The start date (YYYY-MM-DD) of the rate period to remove.